[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TCustomBucketList.Exists

Check if an item exists in the list.

## Declaration

Source position: contnrs.pp line 532

`public function TCustomBucketList.Exists(`
`AItem: Pointer`
`):Boolean;`

## Arguments

`AItem` |  | Item to search for

## Function result

True if the item exists in the list, False if not.

## Description

Exists searches the list and returns True if the AItem is already present in the list. If the item is not yet in the list, False is returne5Ad.

If the data pointer associated with AItem is also needed, then it is better to use Find.

## See also

TCustomBucketList.Find |  | Find an item in the list

Documentation generated on: Feb 26 2014